import 'package:flutter/material.dart';

import '../../l10n/app_localizations.dart';

class LogoutDialog extends StatelessWidget {
  const LogoutDialog({super.key});

  @override
  Widget build(BuildContext context) {
    return AlertDialog(
      title: Text(AppLocalizations.of(context).deregister),
      content: Text(AppLocalizations.of(context).deregistercheck),
      actions: [
        TextButton(
          onPressed: () => Navigator.pop(context, false), // dismiss
          child: Text(AppLocalizations.of(context).no),
        ),
        TextButton(
          onPressed: () => Navigator.pop(context, true), // confirm
          child: Text(AppLocalizations.of(context).yes),
        ),
      ],
    );
  }
}
